---
# Author: Guillaume Mella
# Description: install bsmem-ci
# 
# Main information:   http://www.jmmc.fr/oimaging
#                     https://gitlab.com/jsy1001/bsmem/tags
#                     http://www.mrao.cam.ac.uk/research/optical-interferometry/bsmem-software/
#

- name: "Install Bsmem-ci"
  block:
   - apt_repository:
       repo: deb http://deb.debian.org/debian stretch contrib non-free
       state: present

   - apt: name={{ item }}
     with_items:
       - git
       - cmake
       - gcc
       - g++
       - libcfitsio-dev
       - libglib2.0-dev
       - gfortran
       - gcc
       - pgplot5
       - xterm
       - libcfitsio-dev
       - libfftw3-dev
       - libnfft3-dev
       - libglib2.0-dev

   - git: 
       repo: https://github.com/jsy1001/oifitslib.git 
       version: v2.2.1 
       dest: "{{bsmem_install_dir}}/oifitslib"

   - shell: cmake ..; make; make install
     args:
       chdir: "{{bsmem_install_dir}}/oifitslib/build"

 #  - get_url:
 #      url: http://www.mrao.cam.ac.uk/downloads/bsmem/bsmem-v2.0.6.tar.gz
 #      dest: /tmp/{{bsmem_tgz}}

   - unarchive:
       src: files/{{bsmem_tgz}}
       dest: "{{bsmem_install_dir}}"
       creates: "{{bsmem_install_dir}}/{{bsmem_dirname}}"
   
   - shell: "cmake .. -Wno-dev && make && make install && rm -rf {{bsmem_install_dir}}/{{bsmem_dirname}} && touch {{bsmem_install_dir}}/{{bsmem_dirname}}.done"
     args:
       chdir: "{{bsmem_install_dir}}/{{bsmem_dirname}}/build"
       creates: "{{bsmem_install_dir}}/{{bsmem_dirname}}.done"
